Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rapi
Interface PartnerLinkModel

All Known Implementing Classes:
  OPartnerLink, OPartnerLink

    public interface PartnerLinkModel

Method Summary
`java.util.Set<CorrelationSetModel>` | `getCorrelationSetsForOperation(javax.wsdl.Operation operation)`
`int` | `getId()`
`java.lang.String` | `getMyRoleName()`
`javax.wsdl.Operation` | `getMyRoleOperation(java.lang.String operation)`
`javax.wsdl.PortType` | `getMyRolePortType()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPartnerRoleName()`
`javax.wsdl.Operation` | `getPartnerRoleOperation(java.lang.String operation)`
`javax.wsdl.PortType` | `getPartnerRolePortType()`
`java.util.Set<CorrelationSetModel>` | `getUniqueCorrelationSetsForOperation(javax.wsdl.Operation operation)`
`boolean` | `hasMyRole()`
`boolean` | `hasPartnerRole()`
`boolean` | `isCreateInstanceOperation(javax.wsdl.Operation operation)`
`boolean` | `isInitializePartnerRoleSet()`

Method Detail

### getId

    int getId()

### getName

    java.lang.String getName()

### hasMyRole

    boolean hasMyRole()

### hasPartnerRole

    boolean hasPartnerRole()

### getMyRoleName

    java.lang.String getMyRoleName()

### getMyRoleOperation

    javax.wsdl.Operation getMyRoleOperation(java.lang.String operation)

### getPartnerRoleName

    java.lang.String getPartnerRoleName()

### getPartnerRoleOperation

    javax.wsdl.Operation getPartnerRoleOperation(java.lang.String operation)

### isInitializePartnerRoleSet

    boolean isInitializePartnerRoleSet()

### getMyRolePortType

    javax.wsdl.PortType getMyRolePortType()

### getPartnerRolePortType

    javax.wsdl.PortType getPartnerRolePortType()

### isCreateInstanceOperation

    boolean isCreateInstanceOperation(javax.wsdl.Operation operation)

### getCorrelationSetsForOperation

    java.util.Set<CorrelationSetModel> getCorrelationSetsForOperation(javax.wsdl.Operation operation)

### getUniqueCorrelationSetsForOperation

    java.util.Set<CorrelationSetModel> getUniqueCorrelationSetsForOperation(javax.wsdl.Operation operation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD